# use appimage from https://github.com/raluvy95/FelidaBrowser

%define __os_install_post %{nil}

Name:	felida-browser
Version:	0.2.4
Release:	%mkrel 1
License:	GPLv3
Group:	    Networking/WWW
Summary:	A lightweight Chromium Browser using Electron.js!
Url:		https://github.com/raluvy95/FelidaBrowser
Source1:    %{name}.desktop
Source2:   %{name}.png
AutoReqProv: no

%description
A lightweight Chromium Browser using Electron.js!


%prep

%build

%install
pushd %{_sourcedir}
wget -nc https://github.com/raluvy95/FelidaBrowser/releases/download/v%{version}/Felida.Browser-%{version}.AppImage
popd

install -Dm 0755 %{_sourcedir}/Felida.Browser-%{version}.AppImage %{buildroot}/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage
install -Dm 0644 %SOURCE1 %{buildroot}/%{_datadir}/applications/%{name}.desktop
install -Dm 0644 %SOURCE2 %{buildroot}/%{_datadir}/pixmaps/%{name}.png

mkdir -p %{buildroot}/%{_bindir}
ln -fs /opt/appimage/%{name}-%{version}-linux-x86_64.AppImage %{buildroot}/%{_bindir}/%{name}

%files
%{_bindir}/%{name}
%{_datadir}/applications/%{name}.desktop
%{_datadir}/pixmaps/%{name}.png
/opt/appimage/%{name}-%{version}-linux-x86_64.AppImage

%post
%update_menus

%postun
%clean_menus


%changelog
* Mon Jun 13 2023 tex - 0.2.4-1pclos2022
- create pkg

